ATA_EXEC_COMMAND(9)

NAME
ata_exec_command - issue ATA command to host controller

SYNOPSIS

void ata_exec_command (struct ata_port * ap, const struct ata_taskfile * tf);

ARGUMENTS

ap  port to which command is being issued

tf  ATA taskfile register set

DESCRIPTION

Issues PIO/MMIO write to ATA command register, with proper synchronization with interrupt handler / other threads.

LOCKING

spin_lock_irqsave(host_set lock)

AUTHOR
Jeff Garzik.